Bug 1070912 - libetpan17 no longer links libopenssl libraries
libetpan17 no longer links libopenssl libraries
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
Other Other
: P5 - None : Major with 5 votes (vote)
: ---
Assigned To: Denisart Benjamin
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-03 14:22 UTC by Jazz Fan
Modified: 2018-09-20 08:35 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jazz Fan 2017-12-03 14:22:27 UTC
Symptom: No connections possible to imap servers using SSL or TSL with claws-mail.

The culprit seems to be libetpan17-1.6-1.11. After the update it no longer uses libopenssl1_1_0:

with the older version libetpan17-1.6-1.10 doing "ldd /usr/lib64/libetpan.so.17.1.0" I get

        linux-vdso.so.1 (0x00007ffec33d4000)
        libdb-4.8.so => /usr/lib64/libdb-4.8.so (0x00007f56f1e85000)
        libsasl2.so.3 => /usr/lib64/libsasl2.so.3 (0x00007f56f1c68000)
*      libssl.so.1.0.0 => /usr/lib64/libssl.so.1.0.0 (0x00007f56f19f9000)
*      libcrypto.so.1.0.0 => /usr/lib64/libcrypto.so.1.0.0 (0x00007f56f158e000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f56f1377000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f56f0fbd000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f56f0d9f000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f56f0b9b000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f56f24d3000)

With the new version it's:

        linux-vdso.so.1 (0x00007ffd78dd3000)
        libdb-4.8.so => /usr/lib64/libdb-4.8.so (0x00007f3a9c0dd000)
        libsasl2.so.3 => /usr/lib64/libsasl2.so.3 (0x00007f3a9bec0000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f3a9bca9000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f3a9b8ef000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f3a9b6d1000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f3a9b4cd000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f3a9c729000)

Note the to missing libraries marked with an asterisk in the older version.

Fix:

For downgrading to the old version fixes the problem.
Comment 1 Detlef Steuer 2017-12-05 23:34:12 UTC
Confirmation: claws-mail not working since updating to version 1.6.11 of this lib.

Downgrade of lib not possible, because 1.6.10 not available.
Comment 2 Markus Beth 2017-12-06 14:28:23 UTC
A fix is available here
https://build.opensuse.org/request/show/554648
Comment 3 Swamp Workflow Management 2017-12-15 11:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1070912) was mentioned in
https://build.opensuse.org/request/show/557304 Factory / libetpan
Comment 4 Jazz Fan 2017-12-23 11:45:50 UTC
Why doesn't anybody put the fix upstream? It is not possible to use claws-mail with ssl/tsl connections. This is severe.
Comment 5 Bob Williams 2018-09-20 08:35:26 UTC
Using Claws-Mail 3.17.1 on Leap15, libetpan 1.8-lp150.1.2. ProtonMail Bridge interfaces between MUA and ProtonMail IMAP servers.
Claws-Mail segfaults when switching folders in a ProtonMail account.
The Claws-Mail devs implicate libetpan. See <http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=4016>